header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: var(--noir);
  width: 100%;
  padding: 20px 5% 5px 5%;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 101;
  transition: transform 0.35s cubic-bezier(0.4, 0, 0.2, 1); /* Augmenter la durée et changer le timing */
}

header.hidden {
  transform: translateY(-100%);
}

.burger {
  height: 100%;
  width: 20rem;
  position: fixed;
  z-index: 500;
  top: 0;
  left: -20rem;
  background-color: var(--noir);
  padding: 5rem 2rem;
  transition: left 0.3s ease;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: space-between;
}

.burger ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

.burger ul li {
  text-transform: uppercase;
  padding: 1rem 0;
  border-bottom: solid 2px var(--blanc);
}

.burger ul li:last-child {
  border-bottom: none;
}

.burger a {
  transition: 0.3s;
  text-decoration: none;
  color: var(--blanc);
  font-size: 1.7rem;
}

.burger .reseaux a {
  background-color: var(--blanc);
  height: 2.2rem;
  width: 2.2rem;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  padding: 0.5rem;
}

.burger.active {
  left: 0;
}

.burger .close {
  font-size: 2.5rem;
  color: var(--blanc);
}

.burger-icon span {
  display: block;
  width: 2rem;
  height: 0.3rem;
  background-color: var(--blanc);
  margin: 0.3rem 0;
}

.logo {
  margin-left: 4.5rem;
  display: flex;
  align-items: center;
  justify-content: center;
  padding-bottom: 0.2rem;
}

.logo:hover {
  cursor: pointer;
}

.logo img {
  fill: var(--blanc);
  height: 100%;
  width: 5rem;
}

.reseaux {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.7rem;
}

.reseaux a img {
  height: 1.5rem;
  width: auto;
  fill: var(--blanc);
}

.reseaux a {
  text-decoration: none;
}

footer {
  background-color: var(--noir);
  color: var(--blanc);
  display: grid;
  grid-template-columns: repeat(4, minmax(0, 1fr));
  padding: 50px 5%;
}

.infos {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 1.5rem;
  color: var(--blanc);
}

.infos .logo {
  margin: 0;
}

.infos .texte {
  display: flex;
  flex-direction: column;
  gap: 0.3rem;
}

.infos .texte .collab {
  font-family: BebasNeue;
  margin: 0;
}

.infos .texte p {
  color: var(--blanc);
  margin: 0;
  font-size: 0.7rem;
}

.menu {
  display: flex;
  justify-content: center;
  flex-direction: column;
  gap: 0.5rem;
  margin:0 auto;
  width: 60%;
}

.menu a {
  color: var(--blanc);
  text-decoration: none;
  text-align: start;
}

.menu a:hover {
  text-decoration: underline;
}

.adresse {
  display: flex;
  justify-content: center;
  align-items: center;
}

.adresse p {
  width: 60%;
  color: var(--blanc);
}

.test {
  height: 25rem;
}

progress {
  -webkit-appearance: none;
  appearance: none;
  width: 100%;
  height: 6px;
  border: none;
  background: var(--noir); 
  z-index: 100;
  position: fixed;
  left: 0;
  transition: top 0.35s cubic-bezier(0.4, 0, 0.2, 1); 
}

progress::-webkit-progress-bar {
  background: var(--noir);
}

progress::-webkit-progress-value {
  background: var(--blanc);
}

progress::-moz-progress-bar {
  background: var(--blanc);
}

@media only screen and (max-width: 750px) {
  header .reseaux.header-reseaux {
    display: none;
  }
  header {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
  }
  header .logo {
    margin-left: 0.5rem;
  }

  .burger .reseaux {
    display: flex;
  }

  footer {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    padding-top: 2rem;
  }

  footer .menu {
    display: none;
  }

  footer .reseaux img {
    height: 1.5rem;
  }
}
